Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/include/Parameters.h	(revision 136)
@@ -26,4 +26,6 @@
   public : uint32_t                _nb_thread                                     ;
   public : uint32_t              * _size_ifetch_queue                             ;//[nb_thread]
+  public : morpheo::behavioural::core::multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t
+                                 * _ifetch_queue_scheme                           ;//[nb_thread]
   public : uint32_t              * _nb_inst_fetch                                 ;//[nb_thread]
   public : bool                 ** _implement_group                               ;//[nb_thread][NB_GROUP]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance.cpp	(revision 136)
@@ -172,4 +172,5 @@
         DELETE2(_param->_implement_group                        ,_param->_nb_thread,NB_GROUP);
         DELETE1(_param->_nb_inst_fetch                          ,_param->_nb_thread);
+        DELETE1(_param->_ifetch_queue_scheme                    ,_param->_nb_thread);
         DELETE1(_param->_size_ifetch_queue                      ,_param->_nb_thread);
        
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 134)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/src/Instance_fromInternalStructure.cpp	(revision 136)
@@ -42,4 +42,6 @@
 
     ALLOC1(_param->_size_ifetch_queue,uint32_t,_param->_nb_thread);
+    ALLOC1(_param->_ifetch_queue_scheme           ,morpheo::behavioural::core::multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t
+                                              ,_param->_nb_thread);
     ALLOC1(_param->_nb_inst_fetch    ,uint32_t,_param->_nb_thread);
     ALLOC2(_param->_implement_group  ,bool    ,_param->_nb_thread,NB_GROUP);
@@ -52,9 +54,11 @@
       //log_printf(INFO,Configuration,FUNCTION,_("THREAD [%d]"),i);
 
-        _param->_size_ifetch_queue [i] = fromString<uint32_t>(getParam("size_ifetch_queue", "thread",toString(i).c_str(),""));
-        _param->_nb_inst_fetch     [i] = fromString<uint32_t>(getParam("nb_inst_fetch"    , "thread",toString(i).c_str(),""));
-        _param->_ras_size_queue    [i] = fromString<uint32_t>(getParam("ras_size_queue"   , "thread",toString(i).c_str(),""));
-        _param->_upt_size_queue    [i] = fromString<uint32_t>(getParam("upt_size_queue"   , "thread",toString(i).c_str(),""));
-        _param->_ufpt_size_queue   [i] = fromString<uint32_t>(getParam("ufpt_size_queue"  , "thread",toString(i).c_str(),""));
+        _param->_size_ifetch_queue   [i] = fromString<uint32_t>(getParam("size_ifetch_queue"  , "thread",toString(i).c_str(),""));
+        _param->_ifetch_queue_scheme [i] = fromString<morpheo::behavioural::core::multi_front_end::front_end::ifetch_unit::ifetch_queue::Tifetch_queue_scheme_t> 
+                                                               (getParam("ifetch_queue_scheme", "thread",toString(i).c_str(),""));
+        _param->_nb_inst_fetch       [i] = fromString<uint32_t>(getParam("nb_inst_fetch"      , "thread",toString(i).c_str(),""));
+        _param->_ras_size_queue      [i] = fromString<uint32_t>(getParam("ras_size_queue"     , "thread",toString(i).c_str(),""));
+        _param->_upt_size_queue      [i] = fromString<uint32_t>(getParam("upt_size_queue"     , "thread",toString(i).c_str(),""));
+        _param->_ufpt_size_queue     [i] = fromString<uint32_t>(getParam("ufpt_size_queue"    , "thread",toString(i).c_str(),""));
 
         // just read !!!
